/* $Id: CrowdAuthUtils.groovy 28088 2008-04-02 22:25:13Z caulfield14 $ */

import com.atlassian.crowd.integration.soap.SOAPPrincipal
//import org.codehaus.groovy.grails.commons.ConfigurationHolder as CH


static class CrowdAuthUtils {
    static SOAPPrincipal getAuthenticatedPrincipal(request) {
        return request.session.principal
    }
    static List<String> getAuthenticatedPrincipalGroups(request) {
        return request.session.principalGroups
    }
    static List<String> getAuthenticatedPrincipalRoles(request) {
        return request.session.principalRoles
    }
    static Boolean isAuthenticated(request) {
        return request.session.principal? true : false
    }
}