/* $Id: LogoutController.groovy 28088 2008-04-02 22:25:13Z caulfield14 $ */

import com.atlassian.crowd.integration.http.HttpAuthenticator
import com.atlassian.crowd.integration.exception.InvalidAuthorizationTokenException
import java.rmi.RemoteException


class LogoutController {
    HttpAuthenticator httpAuthenticator

    def index = {
        session.invalidate()

        try {
            httpAuthenticator.logoff(request, response)
        }
        catch (InvalidAuthorizationTokenException e) {
            log.error(e.message)
        }
        catch (RemoteException e) {
            log.error(e.message)
        }
        redirect(controller: "login")
    }
}
